Bug 128183 - [New Port] graphis/c-a-i-r
Summary: [New Port] graphis/c-a-i-r
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-17 22:50 UTC by buganini
Modified: 2008-10-19 15:50 UTC (History)
0 users

See Also:


Attachments
file.shar (1.71 KB, text/plain)
2008-10-17 22:50 UTC, buganini
no flags Details
c-a-i-r.shar (3.68 KB, application/x-shar)
2008-10-19 13:28 UTC, buganini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2008-10-17 22:50:01 UTC
CAIR is an image resizing library that is based on the works of Shai Avidan and
Ariel Shamir.  It is a high-performance multi-threaded library written in C++.
It is intended to be multi-platform and multi-architecture.

WWW: http://sourceforge.net/projects/c-a-i-r/

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2008-10-18 18:00:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-10-19 08:51:52 UTC
State Changed
From-To: open->feedback

Hi, 

Build failed on amd64, could you please take a look in it? 
http://amd64.miwibox.org/index.php?action=describe_port&id=1304 

Th
Comment 3 buganini 2008-10-19 13:28:32 UTC
I added an extra patch for amd64, should I take care of other archs?
Comment 4 buganini 2008-10-19 14:00:21 UTC
the broken attachment of previous post is here:
http://140.122.126.12/~buganini/ports/c-a-i-r.shar
Comment 5 Martin Wilke freebsd_committer 2008-10-19 15:45:02 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2008-10-19 15:45:26 UTC
miwi        2008-10-19 14:45:18 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/c-a-i-r     Makefile distinfo pkg-descr 
    graphics/c-a-i-r/files amd64-CAIR.cpp 
  Log:
  CAIR is an image resizing library that is based on the works of Shai Avidan and
  Ariel Shamir.  It is a high-performance multi-threaded library written in C++.
  It is intended to be multi-platform and multi-architecture.
  
  WWW: http://sourceforge.net/projects/c-a-i-r/
  
  PR:             ports/128183
  Submitted by:   buganini at gmail.com
  
  Revision  Changes    Path
  1.1190    +1 -0      ports/graphics/Makefile
  1.1       +33 -0     ports/graphics/c-a-i-r/Makefile (new)
  1.1       +3 -0      ports/graphics/c-a-i-r/distinfo (new)
  1.1       +56 -0     ports/graphics/c-a-i-r/files/amd64-CAIR.cpp (new)
  1.1       +5 -0      ports/graphics/c-a-i-r/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"